
import React from 'react';
import Icon from 'react-icon-base';

const SlPaypal = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M318.753 104.566h-215.652c-8.75195 0 -17.1543 3.85059 -22.7559 10.6777s-7.87695 15.5791 -6.30176 24.3311l138.284 752.159c8.22656 41.1348 42.0098 68.4414 84.3711 68.4414h331.881c133.383 0 223.179 -85.2461 223.179 -212.152 c0 -127.956 -88.2217 -366.89 -300.548 -366.89h-145.11l-58.4639 -253.637c-3.15137 -13.4775 -15.0547 -22.9307 -28.8828 -22.9307zM138.635 163.557l156.66 0.00195312l58.2891 253.637c3.15137 13.4775 15.0547 22.9307 28.8828 22.9307h168.741 c168.566 0 241.385 203.75 241.385 307.725c0 94.3477 -62.8398 152.986 -164.015 152.986h-331.881c-8.22656 0 -22.7559 -2.62598 -26.2559 -20.4805zM421.151 -64.1729l-215.655 -0.000976562c-8.75195 0 -16.9785 3.85059 -22.5801 10.5029 s-8.05176 15.5791 -6.47656 24.1562l27.6572 157.538c2.80078 16.1045 18.0283 26.7822 34.1318 23.9814c16.1045 -2.80078 26.7822 -18.2041 23.9814 -34.1328l-21.5303 -122.88h156.663l55.8389 256.088c2.97559 13.6533 15.0537 23.2812 28.8818 23.2812h168.741 c168.566 0 241.385 203.75 241.385 307.725c0 67.7422 -28.5322 114.479 -84.5459 138.81c-14.8789 6.47656 -21.8799 23.9805 -15.2285 38.8584c6.47656 15.0537 23.9805 21.8799 38.8584 15.4043c77.3691 -33.6084 120.079 -102.226 120.079 -193.072 c0 -127.956 -88.2217 -366.89 -300.548 -366.89h-144.935l-55.8389 -256.088c-2.97559 -13.6533 -15.0537 -23.2812 -28.8818 -23.2812h0.00195312zM459.833 546.9h-58.1162c-8.75195 0 -16.9785 3.85059 -22.7559 10.6777 c-5.60059 6.65234 -8.05176 15.5791 -6.47656 24.1562l38.8594 215.653c2.45117 14.0029 14.7041 24.3311 29.0566 24.3311h93.998c35.5342 0 63.8916 -11.3779 81.9209 -32.7334c19.6055 -23.2812 26.0811 -56.3643 19.0801 -98.5488 c-14.1777 -100.299 -66.6904 -143.535 -175.567 -143.535zM437.076 606.065l22.7559 0.000976562c87.8711 0 108.526 31.5078 117.279 93.4727c2.80078 17.3291 4.02539 39.5605 -5.77637 51.2881c-8.22656 9.80176 -24.6807 11.7275 -36.9336 11.7275h-69.3174 l-28.0068 -156.488z"/></g>
    </Icon>
);

export default SlPaypal;
